import { HttpClient } from "@angular/common/http";
import { TranslateService } from "@ngx-translate/core";
import { MessageService } from "primeng/api";
export declare class EmployeeSummaryService {
    protected http: HttpClient;
    protected messageService: MessageService;
    protected translate: TranslateService;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    employeeBasicInformations(employeeId: string): import("rxjs").Observable<unknown>;
    defaultCatch(): import("rxjs").OperatorFunction<unknown, unknown>;
}
